IPC::Run3::ProfLogReader(3)

NAME
IPC::Run3::ProfLogReader - read and process a ProfLogger file

SYNOPSIS
 use IPC::Run3::ProfLogReader;

 my $reader = IPC::Run3::ProfLogReader->new; ## use "run3.out"
 my $reader = IPC::Run3::ProfLogReader->new( Source => $fn );

 my $profiler = IPC::Run3::ProfPP;   ## For example
 my $reader   = IPC::Run3::ProfLogReader->new( ..., Handler => $p );

 $reader->read;
 $eaderr->read_all;

DESCRIPTION
Reads a log file. Use the filename "-" to read from STDIN.

METHODS

  "IPC::Run3::ProfLogReader->new( ... )"

  "$reader->set_handler( $handler )"

  "$reader->get_handler()"

  "$reader->read()"

  "$reader->read_all()"
This method reads until there is nothing left to read, and then returns true.

LIMITATIONS

COPYRIGHT
    Copyright 2003, R. Barrie Slaymaker, Jr., All Rights Reserved

LICENSE
You may use this module under the terms of the BSD, Artistic, or GPL licenses, any version.

AUTHOR
Barrie Slaymaker <barries@slaysys.com>